#ifndef _FWUPDATE_H_
#define  _FWUPDATE_H_

#include "hpi_internal.h"

#ifdef __cplusplus
/* *INDENT-OFF* */
extern "C" {
/* *INDENT-ON* */
#endif

/*
if(percent>0)
	use printf( state, percent)
else
	use printf( state )
*/

enum eHpiFirmwareId { HPI_FW_UPDATE = 1, HPI_FW_FACTORY =
	    2, HPI_FW_BOOTLOADER = 3
};

enum eHpiFirmwareStatus {
	HPI_FW_PROGSTATUS_ERASING = 1,
	HPI_FW_PROGSTATUS_PROGRAMMING = 2,
	HPI_FW_PROGSTATUS_DONE = 3
};

typedef void HPI_CALLBACK progress_callback(char *state, uint32_t percent);
typedef void HPI_CALLBACK progress_callbackex(enum eHpiFirmwareStatus status, uint32_t percent, void *user_arg);

HPI_API (hpi_err_t) HPI_FileFirmwareGetInfo(const char *fwpath,
	uint16_t nBootLoadFamily,
	uint16_t nBootLoadFamilyMask,
	unsigned int *adapter,
	unsigned int *version,
	unsigned int *checksum,
	unsigned int *length);

HPI_API (hpi_err_t) HPI_AdapterFirmwareDownload(
	uint16_t wAdapterIndex,
	enum eHpiFirmwareId ft,
	const char *fwpath,
	uint16_t nBootLoadFamily,
	uint16_t nBootLoadFamilyMask,
	progress_callback * pc);

HPI_API (hpi_err_t) HPI_AdapterFirmwareDownloadEx(
	uint16_t wAdapterIndex,
	enum eHpiFirmwareId ft,
	const char *fwpath,
	uint16_t nBootLoadFamily,
	uint16_t nBootLoadFamilyMask,
	progress_callback * pc,
	progress_callbackex * pcex,
	void *user_arg);


HPI_API (hpi_err_t) HPI_AdapterFirmwareGetInfo(uint16_t adapterIndex,
					   enum eHpiFirmwareId fwid,
					   unsigned int *version,
					   unsigned int *checksum,
					   unsigned int *length);

#ifdef __cplusplus
/* *INDENT-OFF* */
}
/* *INDENT-ON* */
#endif
#endif
