/******************************************************************************
 $Header: /Repository/drv/hpi/hpissx2.h,v 1.7 2010/11/17 00:20:28 as-ewb Exp $
 SSX2 virtual multichannel stream functions

(C) Copyright AudioScience Inc. 1997-2006
******************************************************************************/

#ifndef _HPISSX2_H_
#define _HPISSX2_H_

#include "hpi_internal.h"

#ifdef __cplusplus
/* *INDENT-OFF* */
extern "C" {
/* *INDENT-ON* */
#endif

typedef uint16_t HPI_BOOL;

HPI_BOOL HPI_PreMessageSsx2(HPI_MESSAGE *phm,
			    HPI_RESPONSE *phr, void *hOwner);

void HPI_PostMessageSsx2(HPI_MESSAGE *phm, HPI_RESPONSE *phr, void *hOwner);

void HPI_MessageSsx2(HPI_MESSAGE *phm, HPI_RESPONSE *phr, void *hOwner);

#define HPI_MESSAGE_LOWER_LAYER HPI_MessageSsx2

#ifdef __cplusplus
/* *INDENT-OFF* */
}
/* *INDENT-ON* */
#endif

#endif				/* _HPISSX2_H_ */

///////////////////////////////////////////////////////////////////////////
// $Log: hpissx2.h,v $
// Revision 1.7  2010/11/17 00:20:28  as-ewb
// Switch to using C99 fixed width types, and some lowercase
// hpi type names.  (Previous defs are still defined for compatibility)
//
// Revision 1.6  2008/07/15 01:15:36  as-ewb
// merge from branc30711 - standalone hpi.h, hpi header includes use double quotes, remove win98
//
// Revision 1.5.4.1  2008/07/04 05:31:23  as-ewb
// switch to hpi_internal. Remove win16, dspcode array loader. hpi.h now standalone
//
// Revision 1.5  2007/11/23 04:26:38  as-ewb
// Ran Hpindent over all HPI files.
//
// Revision 1.4  2007/11/23 04:11:55  as-ewb
// hide extern C braces from indent
//
// Revision 1.3  2007/10/25 18:28:33  as-tfe
// Move HPI_MAX_SSX2STREAMS define from header so hpissx2.c won't need
// to include hpissx2.h (it conflicts with hpimsgx.h).
//
// Revision 1.2  2007/10/25 07:21:51  as-ewb
// prepare to decouple hpissx2 from hpimsgx
//
// Revision 1.1  2006/11/03 14:24:46  as-tfe
// Added SSX2 module to CVS.
//
//
// (C) Copyright AudioScience Inc. 2006
///////////////////////////////////////////////////////////////////////////
